
/*
   Ŀ
                                                                             
     CXLMOU.H - CXL (c) 1987, 1988 by Mike Smedley.                          
                                                                             
     This header file contains function prototypes and definitions for       
     Microsoft compatible mouse functions.                                   
                                                                             
   
*/


#if defined(__TURBOC__)                             /*  Turbo C  */
    #if __STDC__
        #define _Cdecl
    #else
        #define _Cdecl  cdecl
    #endif
    #define _Near
#elif defined(__ZTC__)                              /*  Zortech C++  */
    #define _Cdecl
    #define _Near
#elif defined(M_I86) && !defined(__ZTC__)           /*  Microsoft C/QuickC  */
    #if !defined(NO_EXT_KEYS)
        #define _Cdecl  cdecl
        #define _Near   near
    #else
        #define _Cdecl
        #define _Near
    #endif
#elif defined(__POWERC__)                           /*  Power C  */
    #define _Cdecl
    #define _Near
#endif


/*---------------------------[ Function Prototypes ]-------------------------*/

void    _Cdecl msbpress(int button,int *bstat,int *bcount,int *x,int *y);
void    _Cdecl msbreles(int button,int *bstat,int *bcount,int *x,int *y);
void    _Cdecl mscursor(int curtype,int smask,int cmask);
void    _Cdecl msgotoxy(int x,int y);
void    _Cdecl mshbounds(int left,int right);
void    _Cdecl mshidecur(void);
int     _Cdecl msinit(void);
void    _Cdecl msmotion(int *xcount,int *ycount);
void    _Cdecl msshowcur(void);
void    _Cdecl msspeed(int xratio,int yratio);
void    _Cdecl msstatus(int *bstat,int *x,int *y);
void    _Cdecl msvbounds(int top,int bottom);

extern int _Near _Cdecl _mouse;

